Subject: Re: [mmox] Creating walled gardens considered harmful

From: "zedmaster" <[email-masked]>
Date: Fri, 27 Mar 2009 23:15:28 -0000

As one of the developers of those VR systems in the early 90's, I would like 
to add that the work wasn't totally 'abortive', as (some of) those early VR 
systems continue to exist and operate today - they didnt bother with 
standardisation i.e. they found a niche and stuck at what they were good at 
!!
-dirk

> Message: 2
> Date: Fri, 27 Mar 2009 15:05:42 -0500
> From: "James Kempf" <[email-masked]>
> Subject: Re: [mmox] Creating walled gardens considered harmful
> To: "Jon Watte" <[email-masked]>, "Morgaine"
> <[email-masked]>
> Cc: MMOX-IETF <[email-masked]>
> Message-ID:
> <[email-masked]>
>
> Content-Type: text/plain; charset="us-ascii"
>
> Hi Jon,
>
> I was at the BOF on Tues. You probably don't know me but I worked in
> IETF for around 10 years, recently I haven't been attending IETF but I'd
> like to offer my opinion on your email and the prospect of any work on a
> virtual worlds interoperability standard succeeding in IETF. I also have
> had some experience with virtual worlds, I did some work with Second
> Life shortly after the client went OpenSource, and I'm involved with a
> small group in Silicon Valley (FountainBlue) that is trying to organize
> events to foster networking among entrepenurs, investors, and
> technologists interested in virtual worlds.
>
> My opinion is that any such effort will take years, and it will by and
> large be out of date from a market standpoint by the time it is
> completed. In other words, by any reasonable definition of success, it
> will fail. Your email below is an initial indication of why.
>
> Basically your company (OLIVE?)and Second Life/OpenSIM are competitors.
> There are many others out there that compete with Second Life/OpenSIM.
> In situations like that, where there is one company or group of
> companies that want a standard and no basic agreement with other
> competitors for the need of interoperability to their business,
> standardization efforts in IETF invariably drag on, since the IETF rules
> that everybody gets their say allow competitors whose technology is not
> up for standardiztion to disrupt the proceedings. This is not a question
> of morality or anything, it is just good business sense, and everybody
> does it. Nobody wants a competitor's technology to get the "Good
> Housekeeping Seal of Approval" that a standard confers.
>
> An example of the exact opposite - where competitors have collaborated
> to achieve a successful standard - is MPLS, which was described last
> night at the technical plenary. But MPLS was addressing an industry that
> already had maybe 20 years of technical/business development, where the
> business roles of service providers, vendors, and customers were more
> clearly defined. Virtual worlds are considerably less mature (even given
> the abortive work in the early/mid 90's on dedicated VR systems). So the
> competitive posturing among VW companies is naturally more intense.
>
> My opinion on what you guys should do is the following:
>
> 1) The SL/OpenSIM/IBM people ought to go off and form an industry
> consortium and recruit some experienced protocol and distributed systems
> engineers to help them design OGP. IBM certainly has many such folks
> working for with experience in IETF, protocol engineering, and
> distributed systems design. Once they have their interoperability
> protocol done, they can publish it as an "informational RFC" if they
> want, this is something any individual or group can do and it does not
> constitute an "Internet Standard".
> 2) You and anyone else in the OLIVE(?) community should get together and
> work on the kind of interoperability protocol that addresses the system
> architecture and business ecosystem that you want to develop. You, too,
> can publish your work as an informational RFC.
> <This will allow both you and the SL/OpenSIM folks to focus on
> interesting technical issues and the particulars of your individual
> systems, rather than fighting each other on IETF mailing lists and
> generating carbon emissions flying to meetings that don't really decide
> anything>
> 3) By the time these parallel tracks are complete, it will be 3-5 years
> on (instead of 7-9, if that, which an IETF standardization effort would
> take) and the technology and business of virtual worlds will be much
> further along. At that time, there might be more clarity whether a
> commonality of business interests exists between multiple groups of
> virtual worlds which would allow them to supress their competitive
> postures and collaborate on a Internet-wide standard.
>
> Finally, putting on my volunteer hat, my feeling is that there are some
> serious, unresolved technical challenges involved in making VW a
> mass-market product. My feeling is that interoperability between VWs is
> only peripherally important. Having some kind of tacit agreement within
> the VW technical community about what those issues are, having academics
> working on research solutions, and having companies, too, implementing
> and deploying competing solutions which could prove themselves in the
> marketplace would be much more productive than fighting about an
> interoperability standard.
>
> jak
>
> PS: FountainBlue is sponsoring a virtual worlds event in Sept. at which
> companies can come and put up tables with information about what they
> are doing. If anyone is interested in participating, please send me
> email off-list.